# SpeciesFormChange | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChange

- Defined in src/data/pokemon-forms.ts:141

##### Index

### Constructors

constructor

### Properties

conditions
formKey
preFormKey
quiet
speciesId
trigger

### Methods

canChange
findTrigger

## Constructors

### constructor

- new SpeciesFormChange(
  speciesId: Species ,
  preFormKey: string,
  evoFormKey: string,
  trigger: SpeciesFormChangeTrigger ,
  quiet?: boolean,
  ...conditions: SpeciesFormChangeCondition [],
  ): SpeciesFormChange

  #### Parameters

  - speciesId: Species
  - preFormKey: string
  - evoFormKey: string
  - trigger: SpeciesFormChangeTrigger
  - quiet: boolean = false
  - ...conditions: SpeciesFormChangeCondition []

  #### Returns SpeciesFormChange

  - Defined in src/data/pokemon-forms.ts:149

## Properties

### `Readonly` conditions

conditions: SpeciesFormChangeCondition []

- Defined in src/data/pokemon-forms.ts:147

### formKey

formKey: string

- Defined in src/data/pokemon-forms.ts:144

### preFormKey

preFormKey: string

- Defined in src/data/pokemon-forms.ts:143

### quiet

quiet: boolean

- Defined in src/data/pokemon-forms.ts:146

### speciesId

speciesId: Species

- Defined in src/data/pokemon-forms.ts:142

### trigger

trigger: SpeciesFormChangeTrigger

- Defined in src/data/pokemon-forms.ts:145

## Methods

### canChange

- canChange(pokemon: default ): boolean

  #### Parameters

  - pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:165

### findTrigger

- findTrigger(
  triggerType: Constructor < SpeciesFormChangeTrigger >,
  ): nil | SpeciesFormChangeTrigger

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns nil | SpeciesFormChangeTrigger

  - Defined in src/data/pokemon-forms.ts:196